{
    attributes = (
        {
            columnName = "com_Ordre"; 
            externalType = NUMBER; 
            name = comOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "reco_Date_Creation"; 
            externalType = DATE; 
            internalInfo = {"_nameInObjectStore" = "pai_Date_Creation"; }; 
            name = recoDateCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "reco_Montant"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "pai_Montant"; }; 
            name = recoMontant; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "reco_nb"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "pai_Nb_Virements"; }; 
            name = recoNb; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "reco_Numero"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "pai_Numero"; }; 
            name = recoNumero; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "reco_ORDRE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "pai_ORDRE"; }; 
            name = recoOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "trec_Ordre"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "tvi_Ordre"; }; 
            name = trecOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "utl_ordre"; 
            externalType = NUMBER; 
            name = utlOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (recoOrdre); 
    className = "org.cocktail.maracuja.server.metier.EORecouvrement"; 
    classProperties = (
        comptabilite, 
        exercice, 
        prelevements, 
        recoDateCreation, 
        recoMontant, 
        recoNb, 
        recoNumero, 
        typeRecouvrement, 
        utilisateur
    ); 
    externalName = "maracuja.recouvrement"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            comptabilite, 
            exercice, 
            prelevements, 
            recoDateCreation, 
            recoMontant, 
            recoNb, 
            recoNumero, 
            typeRecouvrement, 
            utilisateur
        ); 
        "_javaClientClassName" = "org.cocktail.maracuja.client.metier.EORecouvrement"; 
    }; 
    name = Recouvrement; 
    primaryKeyAttributes = (recoOrdre); 
    relationships = (
        {
            destination = Comptabilite; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = comOrdre; sourceAttribute = comOrdre; }); 
            name = comptabilite; 
        }, 
        {
            destination = Exercice; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exercice; 
        }, 
        {
            destination = Prelevement; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = "reco_ordre"; sourceAttribute = recoOrdre; }); 
            name = prelevements; 
        }, 
        {
            destination = TypeRecouvrement; 
            internalInfo = {"_nameInObjectStore" = typeVirement; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = trecOrdre; sourceAttribute = trecOrdre; }); 
            name = typeRecouvrement; 
        }, 
        {
            destination = Utilisateur; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = utlOrdre; sourceAttribute = utlOrdre; }); 
            name = utilisateur; 
        }
    ); 
}
